Bug 837943 - Assertion `c->entries[i].ref == 0' failed, also random segfaults, when qemu calls bdrv_close_all
Assertion `c->entries[i].ref == 0' failed, also random segfaults, when qemu c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On: 836913
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 17:20 EDT by Richard W.M. Jones
Modified: 2014-06-17 23:17 EDT (History)
14 users (show)

See Also:
Fixed In Version: 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 836913
Environment:
Last Closed: 2014-06-13 07:14:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-07-05 17:20:53 EDT
+++ This bug was initially created as a clone of Bug #836913 +++

To read a long description of the bug(s) involved:
https://www.redhat.com/archives/libguestfs/2012-July/msg00020.html

Here is a simple reproducer:

$ cd /tmp
$ ulimit -Hc unlimited
$ ulimit -Sc unlimited
$ rm -f test.img
$ qemu-img create -f qcow2 test.img 100M
$ guestfish -a test.img run : part-disk /dev/sda gpt : copy-device-to-device /dev/zero /dev/sda1 size:98M
$ ls
core.23671  test.img

The core file isn't produced every time, but it's produced
pretty often, maybe 1 in 3 runs.  Simply repeat the qemu-img +
guestfish commands until it happens.

To get full debug information about what libguestfs is doing
add the -v and/or -x options to guestfish.  But basically it
appears to happen when we send SIGTERM to qemu.

--- Additional comment from rjones@redhat.com on 2012-07-04 11:04:03 EDT ---

The underlying issue is fixed in qemu-kvm >= 1.1.0
which is being rolled out to Fedora Rawhide today.
Comment 1 Richard W.M. Jones 2012-07-08 06:16:40 EDT
This would be fixed if qemu-kvm 1.1.0 went into RHEL 7.

I'm guessing (hoping perhaps?!?) that we'll try to put the
most recent qemu into RHEL 7 as late as we can get away with?
Comment 5 Paolo Bonzini 2012-10-25 08:08:59 EDT
Fixed in upstream commit 7094f12f868fc1b75b105bcc676e15964dab77af, which is part of QEMU 1.1.
Comment 7 Shaolong Hu 2014-01-17 04:07:07 EST
Verified on qemu-kvm-rhev-1.5.3-31.el7.x86_64:


[root@localhost tmp]# guestfish -a test.img run : part-disk /dev/sda gpt : copy-device-to-device /dev/zero /dev/sda1 size:98M
libguestfs: error: could not create appliance through libvirt: internal error: early end of file from monitor: possible problem:
qemu-kvm: /builddir/build/BUILD/qemu-1.5.3/hw/i386/acpi-build.c:135: acpi_get_pm_info: Assertion `obj' failed.
 [code=1 domain=10]
Comment 8 Ludek Smid 2014-06-13 07:14:27 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.